%define major 0
%define libname %mklibname %{name}_ %{major}
%define girname %mklibname udisks-gir 2.0

%define glib2_version           2.6.0
%define dbus_version            1.2
%define dbus_glib_version       0.82
%define polkit_version          0.92
%define parted_version          1.8.8
%define udev_version            145
%define mdadm_version           2.6.7
%define device_mapper_version   1.02
%define libatasmart_version     0.12
%define sg3_utils_version       1.27
%define smp_utils_version       0.94
%define lvm2_version            2.02.61
#backed down to version 1.0.4
Summary: Storage Management Service
Name: udisks2
Version: 2.1.3
Release: %mkrel 2
License: GPLv2+
Group: System/Libraries
URL: http://www.freedesktop.org/wiki/Software/udisks
Source0: http://hal.freedesktop.org/releases/udisks-%version.tar.xz
Source1: org.freedesktop.udisks2.policy
Source2: 80-udisks2.rules
Patch0: udisks-1.92.0-link.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: dbus-devel  >= %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: polkit-1-devel >= %{polkit_version}
BuildRequires: parted-devel >= %{parted_version}
BuildRequires: device-mapper-devel >= %{device_mapper_version}
BuildRequires: intltool
BuildRequires: libatasmart-devel >= %{libatasmart_version}
BuildRequires: libgudev-devel >= %{udev_version}
BuildRequires: libudev-devel >= %{udev_version}
BuildRequires: sg3_utils >= %{sg3_utils_version}
BuildRequires: libsgutils-devel
BuildRequires: gtk-doc
BuildRequires: liblvm2cmd-devel >= %{lvm2_version}
BuildRequires: libtool
Requires: dbus >= %{dbus_version}
Requires: udev >= %{udev_version}
Requires: e2fsprogs
Requires: mtools
Obsoletes: devicekit-disks <= 009
Provides: devicekit-disks = 010

%description
udisks provides a daemon, D-Bus API and command line tools
for managing disks and storage devices.

%package devel
Summary: D-Bus interface definitions for udisks
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
D-Bus interface definitions and documentation for udisks.

%prep
%setup -q -n udisks-%{version}
%apply_patches

%build
NOCONFIGURE=yes gnome-autogen.sh
%configure2_5x --disable-static --enable-gtk-doc=no

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

#our rules
install -m 0644 %SOURCE1 $RPM_BUILD_ROOT/%{_datadir}/polkit-1/actions/org.freedesktop.udisks2.policy
install -m 0644 %SOURCE2 $RPM_BUILD_ROOT//lib/udev/rules.d/80-udisks2.rules

mkdir $RPM_BUILD_ROOT/run

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README AUTHORS NEWS COPYING HACKING
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.UDisks2.conf
%{_datadir}/bash-completion/completions/udisksctl 
/lib/udev/rules.d/80-udisks2.rules
%{_sbindir}/umount.udisks2
%dir %{_prefix}/lib/udisks2
%{_prefix}/lib/udisks2/udisksd
%{_bindir}/udisksctl
%{_mandir}/man1/*
%{_mandir}/man8/*
%{_datadir}/polkit-1/actions/org.freedesktop.udisks2.policy
%{_datadir}/dbus-1/system-services/org.freedesktop.UDisks2.service
%attr(0700,root,root) %dir %{_localstatedir}/lib/udisks2
%{_libdir}/libudisks2.so.%{major}*
%{_libdir}/girepository-1.0/UDisks-2.0.typelib
%attr(0755,root,root) %dir /run


%files devel
%defattr(-,root,root,-)
%{_libdir}/libudisks2.so
%dir %{_includedir}/udisks2
%dir %{_includedir}/udisks2/udisks
%{_includedir}/udisks2/udisks/*.h
%{_datadir}/gir-1.0/UDisks-2.0.gir
%dir %{_datadir}/gtk-doc/html/udisks2
%{_datadir}/gtk-doc/html/udisks2/*
%{_libdir}/pkgconfig/udisks2.pc


%changelog
* Wed Oct 07 2014 bb <bb> 2.1.3-2pclos2014
- add media rule to 80-udisks2.rules

* Tue Sep 30 2014 bb <bb> 2.1.3-1pclos2014
- update

* Mon Jul 08 2013 Texstar <texstar at gmail.com> 2.1.0-4pclos2013
- revert last change

* Fri Jun 28 2013 Texstar <texstar at gmail.com> 2.1.0-3pclos2013
- try work around with udev floppy rule 

* Mon Jun 17 2013 Texstar <texstar at gmail.com> 2.1.0-2pclos2013
- use /media as default like old style

* Sun Jun 16 2013 Texstar <texstar at gmail.com> 2.1.0-1pclos2013
- update

* Sat Jun 15 2013 Texstar <texstar at gmail.com> 1.99.0-1pclos2013
- update to fix media leftover folders

* Thu Jun 13 2013 Texstar <texstar at gmail.com> 1,98.0-3pclos2013
- set custom org.freedesktop.udisks.policy to allow user to mount
- and unmount partitions with mate's caja file manager
